# Record TCefPostData

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPostData = record`

## Description

Structure used to represent post data for a web request. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPostData.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_read_only: function(self: PCefPostData): Integer; stdcall;`
| `has_excluded_elements: function(self: PCefPostData): Integer; stdcall;`
| `get_element_count: function(self: PCefPostData): NativeUInt; stdcall;`
| `get_elements: procedure(self: PCefPostData; var elementsCount: NativeUInt; var elements: PCefPostDataElement); stdcall;`
| `remove_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;`
| `add_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;`
| `remove_elements: procedure(self: PCefPostData); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_read_only: function(self: PCefPostData): Integer; stdcall;`
This item has no description.

| `has_excluded_elements: function(self: PCefPostData): Integer; stdcall;`
This item has no description.

| `get_element_count: function(self: PCefPostData): NativeUInt; stdcall;`
This item has no description.

| `get_elements: procedure(self: PCefPostData; var elementsCount: NativeUInt; var elements: PCefPostDataElement); stdcall;`
This item has no description.

| `remove_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;`
This item has no description.

| `add_element: function(self: PCefPostData; element: PCefPostDataElement): Integer; stdcall;`
This item has no description.

| `remove_elements: procedure(self: PCefPostData); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.